%define name lbreakout
%define version 000928
%define release 1mdk

Summary: a breakout-style arcade game
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://lgames.sourceforge.net/lbreakout/%{name}%{version}.tar.bz2
Source4: %{name}.menu
Source5: %{name}16.xpm
Source6: %{name}32.xpm
Source7: %{name}48.xpm
Patch0: lbreakout-000928-nohiscore.patch
Patch1: lbreakout-000928-nosound.patch
Copyright: GPL
Group: Games/Arcade
Packager: Pixel <pixel@mandrakesoft.com>
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}

%description
LBreakout is a classical Breakout game and this means (if you like Breakout ;-)
it is a lot of fun to play!
If you never ever played such a game you can check out the manual for more
information, take a look at the screenshots and last but not least... play it!

%prep
%setup -n %{name}
%patch0 -p1
%patch1 -p1

#HACK
rm config.cache

# HACK
perl -pi -e 's|/usr/local/share/games/lbreakout|%{_datadir}/%{name}|' lbreakout/main.cpp

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall datadir=$RPM_BUILD_ROOT%{_datadir}/%{name}

install -D -m644 %SOURCE4 $RPM_BUILD_ROOT%{_menudir}/%{name}
install -D -m644 %SOURCE6 $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm
install -D -m644 %SOURCE5 $RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm
install -D -m644 %SOURCE7 $RPM_BUILD_ROOT%{_liconsdir}/%{name}.xpm

%clean
rm -rf $RPM_BUILD_ROOT

%post 
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc README BUGS TODO
%{_bindir}/*
%{_datadir}/%{name}
%{_menudir}/*
%{_iconsdir}/*.xpm
%{_miconsdir}/*
%{_liconsdir}/*

%changelog
* Fri Sep 29 2000 Pixel <pixel@mandrakesoft.com> 000928-1mdk
- initial spec


# end of file
